CON


  _clkmode      = xtal1 + pll16x                        ' use crystal x 16
  _xinfreq      = 5_000_000
  ' serial port speeds
  _baudRateSpeed = 115200 ' don't use Teraterm at 115200 and possibly even 38400. Use Shamcom/hyperterminal or vb.net
  _receiverPin = 31
  _transmitterPin = 30  

OBJ
 sio:           "pcFullDuplexSerial2FC"                 ' Tim Moore and Juergen  Buchmueller

VAR

  
PUB Main 
    sio.AddPort(0, _receiverPin, _transmitterPin, -1, -1, 0, 0, _baudRateSpeed) ' add a serial port for xmodem  
    sio.start                                           
    sio.rxflush(0)                                      ' make sure no data in the buffer
    sio.str(0,string("Hello World"))                     ' send to com port   
